## kaisen-timeshift-apt 2.4

=== debian/changelog ===
kaisen-timeshift-apt (2.4) kaisen-packages; urgency=medium

  * Replace the tput sgr0 command by a BASH escape sequence to reset the color

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 25 Apr 2024 07:45:46 +0200

kaisen-timeshift-apt (2.3) kaisen-packages; urgency=medium

  * Replace tput init by tput sgr0 for all scripts

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 13 Mar 2024 00:50:06 +0100

kaisen-timeshift-apt (2.2) kaisen-packages; urgency=medium

  * Many improvements of scripts
  * Improvements for the kaisen-timeshift-apt script:
    - The check for BTRFS using improved. Use now two variables instead of three.
    - The grep command to the BTRFS using check improved and shorter
  * Improvements for the kaisen-timeshift-apt-cleanup script:
    - Check if exec in a chroot
    - Check the presence of the timeshift command
    - Check if exec on a overlayfs rootfs
    - Quotted variables
    - Uppercase variables
    - The snapshot device is now automatically detected for the cleanup
      (fix Device : Not Selected) and improved since the 2.1 version
    - The snapshot device can now be an UUID or a device name
    - Log messages are now in colors
  * Add gawk, grep and coreutils as depends

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 31 Jan 2024 21:50:13 +0100

kaisen-timeshift-apt (2.1) kaisen-packages; urgency=medium

  * Fix "Device : Not Selected"

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 31 Jan 2024 08:23:11 +0100

kaisen-timeshift-apt (2.0) kaisen-packages; urgency=medium

  * Reuse exit 0 instead of exit 1
  * Add the yellow color

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 27 Sep 2023 11:03:27 +0100

kaisen-timeshift-apt (1.9) kaisen-packages; urgency=medium

  * Color gestion and use exit 1 instead of exit 0

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 20 Sep 2023 04:32:44 +0100

kaisen-timeshift-apt (1.8) kaisen-packages; urgency=medium

  * Force deactivation of BTRFS quotas

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 01 Apr 2023 15:31:17 +0100

kaisen-timeshift-apt (1.7) kaisen-packages; urgency=high

  * Rename variables when kaisen-timeshift-apt checks if BTRFS is correctly used
  * Add an if statement to execute the dpkg hook only when the kaisen-timeshift-apt
    exists and it's executable

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 17 Nov 2022 17:11:16 +0100

kaisen-timeshift-apt (1.6) kaisen-packages; urgency=high

  * Add the postinst systemd helper script directly from the sources
  * Rename preinst in postinst to fix no execution of the clean apt-btrfs-snapshot

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 10 Nov 2022 11:26:15 +0100

kaisen-timeshift-apt (1.5) kaisen-packages; urgency=medium

  * Replace the cron.daily script by a systemd timer
  * Improvements of the kaisen-timeshift-apt-cleanup script
  * Move the postinst script as the preinst script
  * Thanks again to Daniel-Alf Junghänel for these improvements and the
    proposition to use a systemd timer instead of a cron task!

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 05 Nov 2022 18:01:19 +0100

kaisen-timeshift-apt (1.4) kaisen-packages; urgency=medium

  * Add a cleanup snapshots cron script to delete all snapshots taken by the
    kaisen-timeshift-apt script all 7 days
  * Thanks to Daniel-Alf Junghänel for this script!

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 29 Oct 2022 17:03:17 +0100

kaisen-timeshift-apt (1.3) kaisen-packages; urgency=high

  * Add exit 1 when the script has not executed in root
  * Typo

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 23 Oct 2022 16:58:07 +0100

kaisen-timeshift-apt (1.2) kaisen-packages; urgency=high

  * No deletion of @apt-snapshot-old-root snapshots to fix the dpkg error

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 18 Oct 2022 21:39:19 +0100

kaisen-timeshift-apt (1.1) kaisen-packages; urgency=high

  * Fix the subvolume test to running the snapshot for LUKS configuration

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 18 Oct 2022 16:22:42 +0100

kaisen-timeshift-apt (1.0) kaisen-packages; urgency=medium

  * Initial release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 16 Oct 2022 16:33:17 +0100
